Skip to main content
 print this page

Get presigned URL to upload a shared library package

POST 

/jobs/libs/:id

Returns a presigned PUT URL for common-libs/{id}/libs/python/{FileName} (spaces in FileName become underscores). Extension must be py, egg, whl, zip, or jar. Caller must be able to view the library. Extra body fields are ignored.

Request​

Responses​

Presigned upload URL and S3 path.

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers